summaryrefslogtreecommitdiffstats
path: root/kppp/Rules/checkrules
diff options
context:
space:
mode:
Diffstat (limited to 'kppp/Rules/checkrules')
-rwxr-xr-xkppp/Rules/checkrules24
1 files changed, 24 insertions, 0 deletions
diff --git a/kppp/Rules/checkrules b/kppp/Rules/checkrules
new file mode 100755
index 00000000..9e695d5b
--- /dev/null
+++ b/kppp/Rules/checkrules
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+KPPP=`which kppp` || (echo "cannot find kppp"; exit 1)
+
+cd `dirname $0 2> /dev/null` || (echo "\"dirname\" required"; exit 1)
+
+FILESTOCHECK=`find -name "*.rst" -type f 2> /dev/null` || \
+ (echo "\"find\" required\""; exit 1)
+
+for i in ${FILESTOCHECK}
+do
+ echo -n "checking $i ..."
+ if ${KPPP} -r $i > /dev/null 2>&1
+ then
+ echo ok
+ else
+ echo "failed"
+ echo -n " "
+ ${KPPP} -r $i
+ #exit 1
+ fi
+done
+exit 0
+